diff --git a/gs/base/configure.ac b/gs/base/configure.ac
index 5154a83..164e9c7 100644
--- a/gs/base/configure.ac
+++ b/gs/base/configure.ac
@@ -1276,7 +1276,7 @@ HP_DEVS='cdj500 djet500 djet500c dnj650c cljet5pr deskjet laserjet ljetplus ljet
 PCLXL_DEVS='pxlmono pxlcolor'
 EPSON_DEVS='eps9high eps9mid epson epsonc escp lp8000 lq850 photoex st800 stcolor alc1900 alc2000 alc4000 alc4100 alc8500 alc8600 alc9100 lp3000c lp8000c lp8200c lp8300c lp8500c lp8800c lp9000c lp9200c lp9500c lp9800c lps6500 epl2050 epl2050p epl2120 epl2500 epl2750 epl5800 epl5900 epl6100 epl6200 lp1800 lp1900 lp2200 lp2400 lp2500 lp7500 lp7700 lp7900 lp8100 lp8300f lp8400f lp8600 lp8600f lp8700 lp8900 lp9000b lp9100 lp9200b lp9300 lp9400 lp9600 lp9600s lps4500 eplcolor eplmono'
 CANON_DEVS='bj10e bj200 bjc600 bjc800 lbp8 lips3 bjcmono bjcgray bjccmyk bjccolor'
-LEXMARK_DEVS='lxm5700m lxm3200 lex2050 lex3200 lex5700 lex7000'
+LEXMARK_DEVS='lxm5700m lx5000 lxm3200 lex2050 lex3200 lex5700 lex7000'
 BROTHER_DEVS='hl7x0 hl1240 hl1250'
 APPLE_DEVS='appledmp iwhi iwlo iwlq'
 IBM_DEVS='ibmpro jetp3852'
diff --git a/gs/contrib/contrib.mak b/gs/contrib/contrib.mak
index b3db849..6b7cf26 100644
--- a/gs/contrib/contrib.mak
+++ b/gs/contrib/contrib.mak
@@ -101,6 +101,7 @@ CONTRIBSRC=$(CONTRIBDIR)$(D)
 #	lips4v	 Canon LIPS IV vector mode driver
 #	lips4	 Canon LIPS IV raster mode driver
 #       ln03     DEC LN03
+#	lx5000   Lexmark 5000
 #       lxm3200  Lexmark 3200, Z31, Z12
 #	md1xMono Alps MD-1000/1300/1500 (monochrome mode, japanese)
 #	md2k	 Alps MD-2000/2010/4000/1000/1300/1500
@@ -510,6 +511,18 @@ $(GLOBJ)gdevlx7.$(OBJ) : $(CONTRIBSRC)gdevlx7.c $(PDEVH)
 	$(GLCC) $(GLO_)gdevlx7.$(OBJ) $(C_) $(CONTRIBSRC)gdevlx7.c
 
 
+### ----------------- LexMark 5000 printer ----------------------------- ###
+### Note: this driver was contributed by users.  Please contact:         ###
+###   Peter B. West <p.west@uq.net.au>                                   ###
+
+lx5000_=$(GLOBJ)gdevlx50.$(OBJ)
+$(DD)lx5000.dev :    $(lx5000_)
+	$(SETPDEV) $(DD)lx5000 $(lx5000_)
+
+$(GLOBJ)gdevlx50.$(OBJ) : $(CONTRIBSRC)gdevlx50.c $(PDEVH)
+	$(GLCC) $(GLO_)gdevlx50.$(OBJ) $(C_) $(CONTRIBSRC)gdevlx50.c
+
+
 ### ----------- Lexmark 3200 device ------------ ###
 
 lxm3200_=$(GLOBJ)gdevlx32.$(OBJ)
